package net.wanji.opt.controllerv2.report.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
public class GreenReportProblemOverallAnalysisResult {

    @ApiModelProperty(value = "区域干线总拥堵次数", example = "56次")
    private String totalCongestCount;

    @ApiModelProperty(value = "区域干线总拥堵时长", example = "11小时")
    private String totalCongestDuration;

    @ApiModelProperty(value = "拥堵严重干线",example = "经十路（舜耕路-山大路）、经十路（洪山路-舜华路）")
    private String congestHeavyGreenWave;

    private List<GreenReportProblemOverallDataVO> dataList = new ArrayList<>();

}