package net.wanji.opt.controllerv2.report.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class GreenReportSamePeriodData {

    @ApiModelProperty(value = "峰期类型 早高峰、晚高峰、全天", example = "早高峰")
    private String peakName;

    @ApiModelProperty(value = "通行量（辆）", example = "736278")
    private Integer peakFlow;
    @ApiModelProperty(value = "通行量同比", example = "-1.5%")
    private Double peakFlowRatio;

    @ApiModelProperty(value = "拥堵指数", example = "3.5")
    private Double congestIndex;
    @ApiModelProperty(value = "拥堵指数同比", example = "3.5%")
    private Double congestIndexRatio;

    @ApiModelProperty(value = "平均车速km/h", example = "30.5")
    private Double avgSpeed;

    @ApiModelProperty(value = "平均车速同比", example = "-1.5%")
    private Double avgSpeedRatio;

    @ApiModelProperty(value = "行程时间（分钟）", example = "6.5")
    private Double travelTime;

    @ApiModelProperty(value = "行程时间同比", example = "-1.5%")
    private Double travelTimeRatio;
}