package net.wanji.opt.dao.mapper.judgeanalysis;

import net.wanji.opt.entity.judgeanalysis.AiOptimizeStatistic;
import java.util.List;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

public interface AiOptimizeStatisticMapper extends BaseMapper<AiOptimizeStatistic>{
	
	 /**
	  *  查询表t_ai_optimize_statistic所有信息
	  */
	 List<AiOptimizeStatistic> findAllAiOptimizeStatistic();
	  
	 /**
	  *  根据主键crossId查询表t_ai_optimize_statistic信息
	  *  @param crossId
	  */
	 AiOptimizeStatistic findAiOptimizeStatisticBycrossId(@Param("crossId") String crossId);

	/**
	*  根据条件查询表t_ai_optimize_statistic信息
	*  @param aiOptimizeStatistic
	*/
	List<AiOptimizeStatistic> findAiOptimizeStatisticByCondition(AiOptimizeStatistic aiOptimizeStatistic);

	 /**
	  *  根据主键crossId查询表t_ai_optimize_statistic信息
	  *  @param crossId
	  */
	 Integer deleteAiOptimizeStatisticBycrossId(@Param("crossId") String crossId);
	
	 /**
	  *  根据主键crossId更新表t_ai_optimize_statistic信息
	  *  @param aiOptimizeStatistic
	  */
	 Integer updateAiOptimizeStatisticBycrossId(AiOptimizeStatistic aiOptimizeStatistic);
	
	 /**
	  *  新增表t_ai_optimize_statistic信息
	  *  @param aiOptimizeStatistic
	  */
	 Integer addAiOptimizeStatistic(AiOptimizeStatistic aiOptimizeStatistic);

    List<AiOptimizeStatistic> greenOptimizeByTimeTrend(String greenId, Integer startTime, Integer endTime);
}

