package net.wanji.opt.dao.mapper.judgeanalysis;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import net.wanji.opt.entity.judgeanalysis.AnalysisProblemAndStrategyDay;
import net.wanji.opt.entity.judgeanalysis.AnalysisProblemCrossDay;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface AnalysisProblemAndStrategyDayMapper extends BaseMapper<AnalysisProblemAndStrategyDay> {
    List<AnalysisProblemAndStrategyDay> selectCrossEvent();
    List<AnalysisProblemAndStrategyDay> selectGreenEvent();
    Integer insertProblemAndStrategy(AnalysisProblemAndStrategyDay analysisProblemAndStrategyDay);
    AnalysisProblemAndStrategyDay getGreenStrategy(@Param("greenID") String greenID, @Param("time") String time);
    AnalysisProblemAndStrategyDay getCrossStrategy(@Param("crossID") String crossID, @Param("time") String time,@Param("eventSerialNumber") String eventSerialNumber);
}
