package net.wanji.opt.entity.strategy.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.models.auth.In;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import net.wanji.opt.entity.strategy.*;

import java.util.List;


@Data
@EqualsAndHashCode(callSuper=false)
@NoArgsConstructor
@AllArgsConstructor
public class StrategyPriorityGroup {
    //分组ID
    private Integer labelCode;
    //分组名称
    private String label;
    //路口Id
    private String crossId;
    //路口Id
    private List<String> crossIds;
    //执行时间
    private String weekExecute;
    //日计划编号
    private Integer dailyPlanId;
    //策略编号
    private String strategyNo;
    //优先级的配置信息
    private List<StrategyPriorityConfig> data;
    //计划表的配置信息日计划详情
    private List<StrategyPriorityPlanDetails> dailyPlanDetails;
    // 参数配置表的配置信息
   private List<StrategyPriorityParamter> parameterConfigList;
    // 调度配置表的配置信息
    private StrategySchedulingParam schedulingParamters;
}
