package net.wanji.opt.dao.mapper.evaluation;

import net.wanji.common.framework.mapper.BaseInterfaceMapper;
import net.wanji.opt.entity.evaluation.EventInfo;
import net.wanji.opt.entity.eventoptimize.TEventOptimizeInfo;
import net.wanji.opt.entity.judgeanalysis.AnalysisProblemAndStrategyDay;

import java.util.List;
import java.util.Map;

/**
* <p>
    * 交通事件信息
    * </p>
*
* @Author wangtao
* @Date 2025-03-18
*/
public interface CrossProblemEvaluationMapper   {

    public List<AnalysisProblemAndStrategyDay> findOVerFlowInfo();

    List<TEventOptimizeInfo> getOverflow(String crossId, String startTime, String endTime);

    List<TEventOptimizeInfo> getContrastOverflow(String crossId, String contrastStartTime, String constrastEndTime);
}

