package net.wanji.opt.dao.mapper.report;

import net.wanji.opt.dto.report.GreenHistIndexDTO;
import net.wanji.opt.entity.GreenwaveHist;
import net.wanji.opt.entity.report.AnalysisGreenWaveOptimizeWeek;
import java.util.List;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

public interface AnalysisGreenWaveOptimizeWeekMapper extends BaseMapper<AnalysisGreenWaveOptimizeWeek>{
	
	 /**
	  *  查询表t_analysis_green_wave_optimize_week所有信息
	  */
	 List<AnalysisGreenWaveOptimizeWeek> findAllAnalysisGreenWaveOptimizeWeek();
	  
	 /**
	  *  根据主键greenId查询表t_analysis_green_wave_optimize_week信息
	  *  @param greenId
	  */
	 AnalysisGreenWaveOptimizeWeek findAnalysisGreenWaveOptimizeWeekBygreenId(@Param("greenId") Integer greenId);

	/**
	*  根据条件查询表t_analysis_green_wave_optimize_week信息
	*  @param analysisGreenWaveOptimizeWeek
	*/
	List<AnalysisGreenWaveOptimizeWeek> findAnalysisGreenWaveOptimizeWeekByCondition(AnalysisGreenWaveOptimizeWeek analysisGreenWaveOptimizeWeek);

	 /**
	  *  根据主键greenId查询表t_analysis_green_wave_optimize_week信息
	  *  @param greenId
	  */
	 Integer deleteAnalysisGreenWaveOptimizeWeekBygreenId(@Param("greenId") Integer greenId);
	
	 /**
	  *  根据主键greenId更新表t_analysis_green_wave_optimize_week信息
	  *  @param analysisGreenWaveOptimizeWeek
	  */
	 Integer updateAnalysisGreenWaveOptimizeWeekBygreenId(AnalysisGreenWaveOptimizeWeek analysisGreenWaveOptimizeWeek);
	
	 /**
	  *  新增表t_analysis_green_wave_optimize_week信息
	  *  @param analysisGreenWaveOptimizeWeek
	  */
	 Integer addAnalysisGreenWaveOptimizeWeek(AnalysisGreenWaveOptimizeWeek analysisGreenWaveOptimizeWeek);

	/**
	 * 批量插入
	 * @param list
	 */
	 void insertBatch(List<AnalysisGreenWaveOptimizeWeek> list);
}

