package net.wanji.opt.entity.judgeanalysis;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "laneDataHist", description = "")
public class laneDataHist {
    @ApiModelProperty(value = "干线ID")
    private String greenId;
    @ApiModelProperty(value = "车道ID")
    private String id;
    @ApiModelProperty(value = "路口ID")
    private String crossId;
    @ApiModelProperty(value = "交通指数阈值")
    private Double trafficThreshold;
    @ApiModelProperty(value = "交通指数")
    private Double trafficIndex;
    @ApiModelProperty(value = "方向")
    private String dir;
    @ApiModelProperty(value = "转向")
    private String turn;
    @ApiModelProperty(value = "开始时间")
    private String startTime;
    @ApiModelProperty(value = "流量")
    private Integer flow;
    @ApiModelProperty(value = "小时流量")
    private Integer flowHour;
    @ApiModelProperty(value = "干线道路方向")
    private String roadDirection;
}
