package net.wanji.opt.servicev2.eventoptimize;


import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import net.wanji.opt.entity.eventoptimize.TEventOptimizeInfo;
import net.wanji.opt.entity.eventoptimize.TEventOptimizeInfoVO;

public interface TEventOptimizeInfoService extends IService<TEventOptimizeInfo> {

    Page<TEventOptimizeInfo> queryPageWithConditions(int currentPage, int pageSize, String startTime, String endTime, String crossId,String eventType,Integer optStatus,Integer duration,Integer startOptDuration, Integer endOptDuration);

    Page<TEventOptimizeInfoVO> selectPageWithCrossIdAndGreenId(int currentPage, int pageSize, String startTime, String endTime, String crossId, Integer greenId);

    JSONObject getCrossOptimizeDistribute(Integer greenId, String crossId, String startTime, String endTime, Integer groupType);

    Page<TEventOptimizeInfo> pageWithLineConditions(int currentPage, int pageSize, String startTime, String endTime, Integer greenId,String eventType, Integer optStatus, Integer duration,Integer startOptDuration,Integer endOptDuration);


}