package net.wanji.opt.servicev2.report;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import net.wanji.opt.controllerv2.report.vo.GreenReportSamePeriodCompareData;
import net.wanji.opt.entity.report.GreenWaveWeekData;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface GreenWaveWeekDataService extends IService<GreenWaveWeekData> {
    void insertGreenWaveWeekData();

    void insertOrUpdateBatch(List<GreenWaveWeekData> greenWaveWeekDataList);

    JSONObject getGreenInfoList(Integer year, Integer week, String ids);

    List<GreenReportSamePeriodCompareData>  getSamePeriodCompare(Integer year, Integer week, String ids);
}